/* RESET */

a,
abbr,
acronym,
address,
applet,
article,
aside,
audio,
b,

big,
blockquote,
body,
canvas,
caption,
center,
cite,
code,
dd,
del,
details,
dfn,
div,
dl,
dt,
em,
embed,
fieldset,
figcaption,
figure,
footer,
form,
h1,
h2,
h3,
h4,
h5,
h6,
header,
hgroup,
html,
i,
iframe,
img,
ins,
kbd,
label,
legend,
li,
mark,
menu,
nav,
object,
ol,
output,
p,
pre,
q,
ruby,
s,
samp,
section,
small,
span,
strike,
strong,
sub,
summary,
sup,
table,
tbody,
td,
tfoot,
th,
thead,
time,
tr,
tt,
u,
ul,
var,
video {
	margin: 0;
	padding: 0;
	border: 0;
	font: inherit;
	vertical-align: baseline
}

article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
	display: block;
}

body {
	line-height: 1;
}

ol,
ul {
	list-style: none;
}

blockquote,
q {
	quotes: none;
}

blockquote:after,
blockquote:before,
q:after,
q:before {
	content: '';
	content: none;
}

table {
	border-collapse: collapse;
	border-spacing: 0;
}


/* === FUENTES === */

@font-face {
    font-family: 'Roboto_condensed Regular';
    font-style: normal;
    font-weight: 400;
    src: url("https://e00.uecdn.es/fonts/roboto/RobotoCondensed-Regular.woff2") format("woff2"), url("https://e00.uecdn.es/fonts/roboto/RobotoCondensed-Regular.woff") format("woff");
  }

@font-face {
    font-family: 'Roboto_condensed Bold';
    font-style: normal;
    font-weight: 700;
    src: url("https://e00.uecdn.es/fonts/roboto/RobotoCondensed-Bold.woff2") format("woff2"), url("https://e00.uecdn.es/fonts/roboto/RobotoCondensed-Bold.woff") format("woff");
  }

@font-face {
    font-family: 'Rubik Black';
    font-style: normal;
    font-weight: 900;
    src: url("https://e00.uecdn.es/fonts/Rubik/Rubik-Black.woff2") format("woff2"), url("https://e00.uecdn.es/fonts/Rubik/Rubik-Black.woff") format("woff");
  }

@font-face {
    font-family: 'PT_serif';
    font-style:normal;
    font-weight:400;
    src:url("https://e00.uecdn.es/fonts/PTSerifWeb/pt_serif-web-regular-webfont.woff2") format("woff2"),url("https://e00.uecdn.es/fonts/PTSerifWeb/pt_serif-web-regular-webfont.woff") format("woff");
  }


/* === GENERAL === */

:root {
	--border-color: white;
	--background-color: #f2f2f2;
	--text-color: black;
}

section {
  display: block;
}

h1 {
  font-family: 'Rubik Black';
  font-size: 29px;
  text-align: center;
}

h2 {
  font-family: 'Rubik Black';
  font-size: 18px;
  line-height: 19px;
  text-align: center;
}

h3 {
	font-family: 'Roboto_condensed Bold';
	font-size: 15px;
	line-height: 16px;
}

#cabecera, .cabecerapq, #test {
  position:relative;
}

#entradilla {
  font-family: 'PT_serif';
  font-size: 21px;
  text-align: center;
  line-height: 26px;
}

.entradillapq {
  font-family: 'Roboto_condensed Regular';
  font-size: 14px;
  line-height: 16px;
  text-align: center;
}

p {
  font-family: 'Roboto_condensed Regular';
  font-size: 14px;
  line-height: 16px;
}

#test {
  display: flex;
	flex-direction: column;
	align-items:center;
	justify-content: flex-start;
  height: 500px;
	margin: 0;
}

.draggable-list {
	color: var(--text-color);
	padding: 0;
	list-style-type: none;
	position:relative;
	margin-bottom: 20px;
}

.draggable-list li {
	display: flex;
	align-items: center;
}

.draggable-list .number {
	background-color: var(--background-color);
	display: flex;
	align-items: center;
	justify-content: center;
	font-family: 'Roboto_condensed Bold';
  font-size: 18px;
	height: 40px;
	width: 40px;
	border-radius: 100px;
}

.draggable-list li.over .draggable {
	background-color: white;
	border: 2px solid black;
}

.right {
	color: green;
}

.wrong {
	color: red;
}

.draggable-list .imgobj {
	width:66px;
}

.draggable {
	display: flex;
	align-items: center;
	background-color: #f2f2f2;
	border: 2px solid var(--border-color);
	border-radius: 6.5px;
	height: 46px;
	cursor: pointer;
	margin-top: 2px;
	margin-bottom: 2px;
	padding: 2px;
	position:relative;
}

.check-btn {
	width: 180px;
	background-color: #ffd2d3;
	border: none;
	border-radius: 6.5px;
	height: 40px;
	padding: 10px 20px;
	cursor: pointer;
}

.check-btn:active {
	transform: scale(0.98);
}

.check-btn:focus {
	outline:none;
}


/* === RESPONSIVE === */
@media screen and (min-width:360px){
  #cabecera {
    width:335px;
    left:15px;
  }

  .cabecerapq {
    width:283px;
    left:37px;
  }

  #solucion {
    width:324px;
    left: 15px;
  }

	#test {
    width:324px;
    left: 15px;
  }

  .imagencabecera {
    width: 360px;
    height: 323.6795px;
    background-image: url("https://e00-elmundo.uecdn.es/elmundo/2022/graficos/abr/s3/tsuciedad/img/estropajo_pq.svg");
    background-position: left;
  }

	.draggable {
		width:250px;
		left: 0px;
	}

	.draggable-list .nombre-objeto {
		margin: 0 2px 0 0;
	}

}

@media screen and (min-width:900px){
  #cabecera {
    width: 470px;
    left: 165px;
  }

  .cabecerapq, #solucion {
    width: 283px;
    left: 260px;
  }

  #test {
    width: 318px;
    left:215px;
  }

  .imagencabecera {
    width: 989px;
    height: 354px;
    background-image: url("https://e00-elmundo.uecdn.es/elmundo/2022/graficos/abr/s3/tsuciedad/img/estropajo_gr.svg");
    background-position: left;
  }

	.draggable {
		width: 318px;
		left: 14px;
	}

	.draggable-list .nombre-objeto {
		margin: 0 10px 0 0;
	}

}
